{ config, pkgs, ... }: {

  home.packages = with pkgs; [ xdg-user-dirs ];

  xdg.userDirs.enable = true;
  xdg.userDirs.desktop = "${config.home.homeDirectory}/desktop";
  xdg.userDirs.documents = "${config.home.homeDirectory}/desktop";
  xdg.userDirs.download = "${config.home.homeDirectory}/downloads";
  xdg.userDirs.extraConfig = {
    MISC = "${config.home.homeDirectory}/misc";
  };
  xdg.userDirs.music = "${config.home.homeDirectory}/media/music";
  xdg.userDirs.pictures = "${config.home.homeDirectory}/media/photo";
  xdg.userDirs.publicShare = "${config.home.homeDirectory}/media/photo";
  xdg.userDirs.templates = "${config.home.homeDirectory}/media/template";
  xdg.userDirs.videos = "${config.home.homeDirectory}/media/video";
  xdg.userDirs.createDirectories = true;
  xdg.userDirs.setSessionVariables = true;
}
